<!DOCTYPE html>
<html lang="en">
<head>
        <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bi Wuzzel App</title>
    <!-- Material Design fonts -->
    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Roboto:300,400,500,700">
    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/icon?family=Material+Icons">

    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

    <!-- Bootstrap Material Design -->
    <link href="/static/css/bootstrap-material-design.css" rel="stylesheet">
    <link href="/static/css/ripples.min.css" rel="stylesheet">
    <link href="//fezvrasta.github.io/snackbarjs/dist/snackbar.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" hreg="https://cdn.datatables.net/responsive/2.1.0/css/responsive.dataTables.min.css">
    <link rel="stylesheet" href="/static/css/bootstrap-material-datetimepicker.css"/>




</head>

<body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment-with-locales.js"></script>
<script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="/static/js/ripples.min.js"></script>
<script src="/static/js/material.min.js"></script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.js"></script>
<script type="text/javascript" charset="utf-8" src="https://cdn.datatables.net/responsive/2.1.0/js/dataTables.responsive.min.js"></script>
<script src="/static/js/bootstrap-material-datetimepicker.js"></script>

<script>
  $(function () {
    $.material.init();
  });

</script>

<div class="navbar navbar-inverse">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-inverse-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="{{ url_for('index') }}">Bi Wuzzel App</a>
        </div>
        <div class="navbar-collapse collapse navbar-inverse-collapse">
            <ul class="nav navbar-nav">
                <li class="dropdown">
                   <a href="javascript:void(0)" data-target="#" class="dropdown-toggle" data-toggle="dropdown">Rankings
                     <b class="caret"></b></a>
                   <ul class="dropdown-menu">
                     <li><a href="{{ url_for('list_players') }}">All-Time</a></li>
                     <li><a href="{{ url_for('list_players_last_week') }}">LastWeek</a></li>
                     <li class="divider"></li>
                     <li class="dropdown-header">Nothing</li>
                     <li><a href="javascript:void(0)">Nothin</a></li>
                   </ul>
                 </li>
                {% if g.user.is_authenticated %}
                {% if current_user.user_level==10 %}
                <li><a href="{{ url_for('admin_list_user') }}">AdminUserList</a></li>
                {% endif %}
                <li><a href="{{ url_for('list_matches') }}">List Matches</a></li>
                <li><a href="{{ url_for('view_rules') }}">Game Rules</a></li>
                {% if current_user.user_level>=2 %}
                <li><a href="{{ url_for('pre_match') }}">new Match</a></li>
                {% endif %}
                {% endif %}
                <!-- <li class="dropdown">
                   <a href="javascript:void(0)" data-target="#" class="dropdown-toggle" data-toggle="dropdown">Dropdown
                     <b class="caret"></b></a>
                   <ul class="dropdown-menu">
                     <li><a href="javascript:void(0)">Action</a></li>
                     <li><a href="javascript:void(0)">Another action</a></li>
                     <li><a href="javascript:void(0)">Something else here</a></li>
                     <li class="divider"></li>
                     <li class="dropdown-header">Dropdown header</li>
                     <li><a href="javascript:void(0)">Separated link</a></li>
                     <li><a href="javascript:void(0)">One more separated link</a></li>
                   </ul>
                 </li>-->
            </ul>
            <ul class="nav navbar-nav navbar-right">
                {% if g.user.is_authenticated %}
                <li><a href="/user/{{ current_user.id }}">User: <b>{{ current_user.user_name }}</b></a></li>
                <li><a href="{{ url_for('logout') }}">Logout</a></li>
                {% endif %}
                {% if not g.user.is_authenticated %}

                <li>
                    <form class="navbar-form navbar-right" method="post" action="{{ url_for('login') }}" id="loginform">

                        <div class="form-group">
                            <input type="text" class="form-control col-md-8" id="username" name="username"
                                   placeholder="Username"/>
                        </div>


                        <div class="form-group">
                            <input type="password" class="form-control col-md-8" id="password" name="password"
                                   placeholder="Password"/>
                        </div>

                    </form>
                </li>
                <li><a href="#" onclick="document.getElementById('loginform').submit();"> Login</a></li>
                <li><a href="{{ url_for('register') }}">Register</a></li>
                {% endif %}
            </ul>
        </div>
    </div>
</div>

<div class="container">
    {%- for category, message in get_flashed_messages(with_categories=true) %}
    <p class="flask {{ category }}-flash">{{
        "Error: " if category == 'error' }}{{ message }}</p>
    {%- endfor %}
    <div class="jumbotron">
        {% block body %}{% endblock %}

    </div>


    <footer class="footer">
        <p>&copy; viSual 2016 Pre-ALPHA</p>
        {%- for message in funfacts %}
            <p >{{ message }}</p>
        {%- endfor %}
        <p><a href="https://gitlab.com/lukas.kaplanek/WuzzelStats" target="_blank">Code here</a></p>
    </footer>

</div>
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->

</body>
</html>
